import { ISvgProps } from '../types';

const defaultProps: ISvgProps = {
	viewBox: '0 0 24 24',
	pathClassName: 'st0'
};

export function SvgTooltip(props: ISvgProps) {
	props = { ...defaultProps, ...props };
	const { pathClassName, ...svgProps } = props;

	return (
		<svg width='24' height='24' viewBox='0 0 24 24' fill='none' xmlns='http://www.w3.org/2000/svg'>
			<path
				d='M11.059 14.312C11.059 13.878 11.1243 13.493 11.255 13.157C11.3903 12.821 11.5583 12.5153 11.759 12.24C11.9643 11.96 12.172 11.6987 12.382 11.456C12.5593 11.2507 12.725 11.0453 12.879 10.84C13.033 10.6347 13.1567 10.4177 13.25 10.189C13.3433 9.96033 13.39 9.71067 13.39 9.44C13.39 8.94067 13.264 8.565 13.012 8.313C12.7647 8.05633 12.396 7.928 11.906 7.928C11.3927 7.928 10.996 8.08433 10.716 8.397C10.436 8.70967 10.296 9.18333 10.296 9.818H8.665C8.665 9.076 8.80733 8.46933 9.092 7.998C9.37667 7.522 9.76167 7.16967 10.247 6.941C10.7323 6.71233 11.2783 6.598 11.885 6.598C12.487 6.598 13.0213 6.70767 13.488 6.927C13.9593 7.14633 14.3303 7.47533 14.601 7.914C14.8763 8.348 15.014 8.88933 15.014 9.538C15.014 9.95333 14.944 10.3197 14.804 10.637C14.6687 10.9543 14.4937 11.239 14.279 11.491C14.069 11.743 13.852 11.9833 13.628 12.212C13.3293 12.5247 13.061 12.842 12.823 13.164C12.5897 13.4813 12.473 13.864 12.473 14.312H11.059ZM11.85 17.196C11.5607 17.196 11.3133 17.0957 11.108 16.895C10.9073 16.6943 10.807 16.4493 10.807 16.16C10.807 15.8753 10.9073 15.6327 11.108 15.432C11.3133 15.2267 11.5607 15.124 11.85 15.124C12.1393 15.124 12.3843 15.2267 12.585 15.432C12.7857 15.6327 12.886 15.8753 12.886 16.16C12.886 16.4493 12.7857 16.6943 12.585 16.895C12.3843 17.0957 12.1393 17.196 11.85 17.196Z'
				fill='#888888'
			/>
			<circle cx='12' cy='12' r='9.5' stroke='#888888' />
		</svg>
	);
}
